Subject: Ticket Assigned - Article Feedback - If I return a product that I bought with a Return Voucher to a store, how is my refund processed?
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Wed, 29 Sep 2021 02:41:03 +0000

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - If I return a product that I bought with a Return Voucher to a store, how is my refund processed? Feedback for:  If I return a product that I bought with a Return Voucher to a store, how is my refund processed? I have ordered a chino pants size 32. I want to return the item and take new one as it was not skin fit as i thought. What is the process to be done ? https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3159498